package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

public enum EventObjectType {
    个人("P", "个人"),
    企业("O", "企业"),
    个人以及企业("O", "个人以及企业");
    private String value;
    private String desc;

    EventObjectType(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static EventObjectType getByValue(String value) {
        for (EventObjectType eventObjectType : EventObjectType.values()) {
            if (eventObjectType.getValue().equals(value)) {
                return eventObjectType;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (EventObjectType item : EventObjectType.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue().equals(e)) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}
